Skip to navigation

Update Event Type

Update an existing Event Type

NOTE:

  • Currently, this endpoint only supports one-on-one event types (kind: “solo”).
Required scopes

event_types:write

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Path parameters

uuidstringRequired

Request

This endpoint expects an object.
activebooleanOptional
Indicates if the event type is active or not
namestringOptional
The event type name
colorstringOptionalformat: "^#[a-f\d]{6}$"
The hexadecimal color value of the event type's scheduling page
descriptionstringOptional
The event type description
durationintegerOptional1-720
The length of sessions booked with this event type. Must be one of the duration options if they're provided.
duration_optionslist of integersOptional

A maximum of 4 unique options is allowed. Each option must be >= 1 and <= 720.

start_time_incrementintegerOptional5-720
How often available start times are offered, in minutes. A whole number from 5 to 720. When omitted, the current value is kept.
before_bufferenumOptional
Minutes blocked before each meeting. One of 0, 5, 10, 15, 30, 45, 60, 90, 120, 150, or 180. When omitted, the current value is kept.
after_bufferenumOptional
Minutes blocked after each meeting. One of 0, 5, 10, 15, 30, 45, 60, 90, 120, 150, or 180. When omitted, the current value is kept.
localeenumOptional
The locale on the event type, used to determine the language of the event type's scheduling page
locationslist of objectsOptional
Configuration information for each possible location for this Event Type

Response

OK
resourceobject
A configuration for an Event Type

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error